## python-pyspike 0.8.0%2Bdfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySpike.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySpike.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySpike"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySpike"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pyspike 0.6.0

=== debian/changelog ===
python-pyspike (0.6.0-3) unstable; urgency=medium

  * Move git repository to Salsa.
  * DH compat 13.
  * Start upstream/metadata file.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 23 Jan 2021 18:55:01 +0100

python-pyspike (0.6.0-2) unstable; urgency=medium

  * Add patch to allow floating point behavior differences in tests.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 07 Mar 2020 18:53:50 +0100

python-pyspike (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #932726)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 06 Feb 2020 09:47:07 +0100

=== debian/control ===
Source: python-pyspike
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-setuptools
Rules-Requires-Root: no
Homepage: https://mariomulansky.github.io/PySpike/
Vcs-Browser: https://salsa.debian.org/gspr/python-pyspike
Vcs-Git: https://salsa.debian.org/gspr/python-pyspike.git -b debian/sid

Package: python3-pyspike
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 library for the numerical analysis of spike train similarity
 PySpike is a Python library for the numerical analysis of spike train
 similarity. Its core functionality is the implementation of the
 ISI-distance and SPIKE-distance as well as SPIKE-Synchronization. It
 provides functions to compute multivariate profiles, distance
 matrices, as well as averaging and general spike train processing.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = pyspike

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream.sh
Depends: python3-all, python3-nose, python3-pyspike
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/mariomulansky/PySpike/tags .*/archive/(\d\S+)\.tar\.gz

## python-pyspike 0.7.0

=== debian/changelog ===
python-pyspike (0.7.0-2) unstable; urgency=medium

  * Add patch to stop using deprecated NumPy types. (Closes: #1027238)
  * Add patch to replace Nose with PyTest. (Closes: #1018568)
  * Build-depend on PyTest and SciPy for tests, and have autopkgtests do
    the same.
  * Standards-version 4.6.2. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 02 Jan 2023 22:39:41 +0100

python-pyspike (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed patches.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 30 Dec 2021 17:45:53 +0100

python-pyspike (0.6.0-6) unstable; urgency=medium

  * Call dh_numpy3.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 27 Nov 2021 16:52:29 +0100

python-pyspike (0.6.0-5) unstable; urgency=medium

  * Add patch to fix Python 3.10 compatibility.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 21 Nov 2021 15:14:28 +0100

python-pyspike (0.6.0-4) unstable; urgency=medium

  * Fix broken watch file.
  * Correct typo in upstream/metadata file.
  * Standards-version 4.6.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 15 Oct 2021 11:02:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-nose,
                python3-numpy,
+               python3-pytest,
+               python3-scipy,
                python3-setuptools
 Rules-Requires-Root: no
 Homepage: https://mariomulansky.github.io/PySpike/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = pyspike

%:
	dh $@ --with numpy3,python3 --buildsystem=pybuild

## python-pyspike 0.8.0%2Bdfsg

=== debian/changelog ===
python-pyspike (0.8.0+dfsg-4) unstable; urgency=medium

  * Add patch to set version field statically and drop reliance on
    pkg_resources. (Closes: #1125826)
  * Standards-version 4.7.3. Priority field removed.
  * Clean up some more files.
  * Build-depend on python3-numpy-dev for explicit dependency on
    dh_numpy3.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 28 Feb 2026 22:55:38 +0100

python-pyspike (0.8.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add runtime dependency on python3-pkg-resources (Closes: #1093236)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 20 Jan 2025 08:15:15 +0100

python-pyspike (0.8.0+dfsg-3) unstable; urgency=medium

  * Add patch to support Cython 3 and Python 3.13. (Closes: #1087645)
    - Thanks to s3v <c0llapsed@yahoo.it> for the hint and for testing.
    - Build-depend on cython3 again, instead of -legacy.
  * Add patch to use raw strings for docstrings that contain TeX macros.
    (Closes: #1086951)
  * Standards-version 4.7.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 03 Dec 2024 16:34:01 +0100

python-pyspike (0.8.0+dfsg-2) unstable; urgency=medium

  * Build-depend on cython3-legacy instead of cython3. (Closes: #1056868)

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 02 Dec 2023 12:29:25 +0100

python-pyspike (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Drop all patches, no longer needed.
  * Introduced DFSG repack to drop generated file erroneously shipped by
    upstream.
  * Adapt d/watch to DFSG version suffix.
  * Disable build-time tests due to them relying on absolute file
    paths. Autopkgtests are still available.
  * Add patch to stop installing generated C sources.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 26 Nov 2023 15:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-pyspike
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
-Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-numpy,
+               python3-numpy-dev,
                python3-pytest,
                python3-scipy,
                python3-setuptools

## python-pyspike 0.8.0+dfsg

=== debian/changelog ===
python-pyspike (0.8.0+dfsg-3.1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:53:45 +0000

python-pyspike (0.8.0+dfsg-3.1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:21:40 +0000

python-pyspike (0.8.0+dfsg-3.1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:38:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,5 @@
 %:
 	dh $@ --with numpy3,python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+

=== debian/tests/control ===
Tests: upstream.sh
Depends: python3-all, python3-pyspike, python3-pytest, python3-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  dversionmangle=s/\+dfsg(\.\d+)?$//,\
  uversionmangle=s/.?(RC|rc)/~rc/,\
  repacksuffix=+dfsg \
  https://github.com/mariomulansky/PySpike/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
